# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2020-04-16 14:16
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('customers', '0016_auto_20200407_0555'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalIva',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False, verbose_name='created at')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=5, verbose_name='iva')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical iva',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='Iva',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=5, verbose_name='iva')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterModelOptions(
            name='historicalplan',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical Plan'},
        ),
        migrations.AlterModelOptions(
            name='historicalservice',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical Servicio'},
        ),
        migrations.AlterModelOptions(
            name='plan',
            options={'ordering': ['-pk'], 'permissions': (('list_plan', 'Can list plans'),), 'verbose_name': 'Plan', 'verbose_name_plural': 'Planes'},
        ),
        migrations.AlterModelOptions(
            name='service',
            options={'ordering': ['-number'], 'permissions': (('export_service', 'Can export service data'), ('view_service', 'Can view service data'), ('list_service', 'Can list service data'), ('view_dashboard', 'Can view the dashboard')), 'verbose_name': 'Servicio', 'verbose_name_plural': 'Servicios'},
        ),
        migrations.AddField(
            model_name='historicalinvoice',
            name='iva',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True, verbose_name='iva'),
        ),
        migrations.AddField(
            model_name='historicalinvoice',
            name='parent_id',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.HistoricalInvoice'),
        ),
        migrations.AddField(
            model_name='invoice',
            name='iva',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True, verbose_name='iva'),
        ),
        migrations.AddField(
            model_name='invoice',
            name='parent_id',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.Invoice', verbose_name='parent invoice'),
        ),
        migrations.AddField(
            model_name='payment',
            name='invoice',
            field=models.ManyToManyField(blank=True, to='customers.Invoice'),
        ),
    ]
